Page MenuHomePhabricator

[AMDGPU] Require at least protected visibility for certain symbols
ClosedPublic

Authored by scott.linder on Jan 17 2019, 11:36 AM.

Details

Summary

This allows the global visibility controls to be restrictive while still populating the dynamic symbol table where required. Depends in-part on a patch to apply global symbol visibility to declarations, although this patch is conservatively correct without that change.

Diff Detail

Repository
rL LLVM

Event Timeline

scott.linder created this revision.Jan 17 2019, 11:36 AM

Add missing flag to tests

Update option name

Update option name

yaxunl accepted this revision.Feb 11 2019, 10:36 AM

LGTM. Thanks!

This revision is now accepted and ready to land.Feb 11 2019, 10:36 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptFeb 12 2019, 10:31 AM